import es, playerlib, saytextlib

info = es.AddonInfo()
info.name = "Titles"
info.version = "2.0"
info.basename = __name__.rsplit(".",1)[0].replace(".", "/")
info.description = "Simple Chat Addon"

es.ServerVar('titles', info.version, 'titles').makepublic()

formats = {
    'DonorBlue': '#green[#blueD#defaultO#blueN#defaultO#blueR#green]#default %s:#blue %s',
    'DonorRed': '#green[#redD#defaultO#redN#defaultO#redR#green]#default %s:#red %s',
    'DonorWhite': '#green[#greyD#defaultO#greyN#defaultO#greyR#green]#default %s:#grey %s',
    'BananaNah': '#green[#defaultBANANA#blueNAH#green]#default %s:#blue %s',
    'Saviour': '#red[S#greenA#defaultVIO#greenU#redR]#green %s#default:#red %s',
    'Stickman': '#green[#greySTICK#defaultMAN#green]#grey %s: %s',
    'Ninja': '#blue[#greenNI#blueN#greenJA#blue]#default %s:#blue %s',
    'SexBomb': '#default[#greySEX#greenBOMB#default]#grey %s:#green %s',
    'Koka': '#red[#greenK#redOK#greenA#red]#default %s: #red%s',
    'Fun': '#green[#blueF#greenU#blueN#green]#default %s:#blue %s',
    'Uncle': '#green[#blueU#defaultN#blueC#defaultL#blueE#green]#blue %s: %s',
    'Demigod': '#blue[#defaultD#blueEM#greenI#blueGO#defaultD#blue]#green %s: #blue%s',
    'Chucknut': '#default[#redC#defaultH#redU#defaultC#redK#greenN#defaultU#greenT#default]#red %s: #green%s',
    'Awesome': '#default[#redA#greenW#redE#greenS#redO#greenM#redE#default]#green %s: #red%s',
    'Dr.Hax': '#default[#greenDR#default.#blueH4X#default]#blue %s: #green%s',
    'Spammer': '#blue[#greenS#blueP#greenA#blueM#greenM#blueE#greenR#blue]#green %s: #blue%s',
    'Epic': '#green[#greyEP#defaultIC#green]#grey %s: %s',
    'Mentor': '#green[#blueME#greenNT#blueOR#green]#blue %s: #lightgreen%s',
    'SideOwnerRed': '#green[#redS#defaultI#greyD#defaultE#redO#defaultW#redN#defaultE#redR#green]#red %s#green:#red %s',
    'SideOwner': '#green[#greyS#defaultI#greyD#defaultE#greyO#defaultW#greyN#defaultE#greyR#green]#grey %s#green:#grey %s',
    'CoOwner': '#green[#greyC#greenO#defaultO#greenW#defaultN#greenE#defaultR#green]#grey %s:#green %s',
    'CoOwnerRed': '#green[#redC#defaultO#redO#defaultW#redN#defaultE#redR#green] %s#default:#red %s',
    'CoOwnerBlue': '#green[#blueC#defaultO#blueO#defaultW#blueN#defaultE#blueR#green] %s#default:#blue %s',
    'Owner': '#green[#greyOW#defaultN#greyER#green]#green %s:#grey %s',
    'Founder': '#grey[#lightgreenF#greyO#lightgreenU#greyN#lightgreenD#greyE#lightgreenR#grey]#lightgreen %s: %s'}

users = {
    'STEAM_0:0:1234567': 'Epic',          
    'STEAM_0:0:7654321': 'Founder'}		


prefix = '#'

def load():
    es.addons.registerSayFilter(sayFilter)

def unload():
   es.addons.unregisterSayFilter(sayFilter)

def sayFilter(userid, text, teamonly):
    text = text.strip('"')
    if not es.getuserid(userid):
        return (userid, text, teamonly)
    player = playerlib.getPlayer(userid)
    if not text.startswith(prefix) or not player.steamid in users:
        return (userid, text, teamonly)
    saytextlib.sayText2('#all', player.index, formats[users[player.steamid]]%(player.name, text[len(prefix):]))
    return (0, None, 0)